if WITH_W32
noinst_LTLIBRARIES = libw32loader.la
libw32loader_la_SOURCES = \
	pshpack1.h pshpack2.h pshpack4.h pshpack8.h poppack.h \
	w32ldr.c w32ldr.h image.h tchar.h vfw.h windef.h windows.h \
	advapi32.c advapi32.h \
	gdi32.c gdi32.h \
	kernel32.c kernel32.h \
	msvcrt.c msvcrt.h \
	ole32.c ole32.h \
	oleaut32.c oleaut32.h \
	shell32.c shell32.h \
	user32.c user32.h \
	version.c version.h \
	winmm.c winmm.h

AM_CPPFLAGS := $(AM_CPPFLAGS) \
	-DBINDIR=\""$(bindir)"\" \
	-DLIBDIR=\""$(libdir)"\" \
	-DSYSCONFDIR=\""$(sysconfdir)"\"

INCLUDES = \
	$(GTK_CFLAGS) \
	-I$(top_srcdir)

libw32loader_la_LIBADD = \
	$(GTK_LIBS) \
	$(top_builddir)/misc/libmisc.la
else
EXTRA_DIST = \
	pshpack1.h pshpack2.h pshpack4.h pshpack8.h poppack.h \
	w32ldr.c w32ldr.h image.h tchar.h vfw.h windef.h windows.h \
	advapi32.c advapi32.h \
	gdi32.c gdi32.h \
	kernel32.c kernel32.h
	msvcrt.c msvcrt.h \
	ole32.c ole32.h \
	shell32.c shell32.h \
	user32.c user32.h \
	version.c version.h \
	winmm.c winmm.h
endif
